<?php

class ipay88_othersIpay88ModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

    /**
     * @see FrontController::initContent()
     */

    public function initContent()
    {
		$cart = $this->context->cart;
		
		if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
		Tools::redirect('index.php?controller=order&step=1');
		
		$this->display_column_left = false;
		
       	parent::initContent();
	
		$cart = $this->context->cart;
        
		if (!$this->module->checkCurrency($cart)) 
		{
            Tools::redirect('index.php?controller=order');
        }
	
		$merchant_domain = Tools::getShopDomainSsl(true).__PS_BASE_URI__;

		$view_ipay88_others_method_title	  	= Configuration::get('ipay88_others_method_title');		
        $view_ipay88_others_description     	= Configuration::get('ipay88_others_description');
				
		$view_ipay88_others_payment_types   	= Configuration::get('ipay88_others_payment_types');		
		$view_ipay88_others_payment_types_19 	= Configuration::get('ipay88_others_payment_types_19');		
			
		
		//print_r($view_ipay88_others_payment_types_19);exit;	
			
        $this->context->smarty->assign(array(
        	
			'nbProducts' 		=> $cart->nbProducts(),
            'cust_currency' 	=> $cart->id_currency,
            'currencies' 		=> $this->module->getCurrency((int)$cart->id_currency),
            'total' 			=> $cart->getOrderTotal(true, Cart::BOTH),
            'isoCode' 			=> $this->context->language->iso_code,
            'checkName' 		=> $this->module->checkName,
            'checkAddress' 		=> Tools::nl2br($this->module->address),
            
			'this_path' 		=> $this->module->getPathUri(),
            'this_path_check' 	=> $this->module->getPathUri(),
            'this_path_ssl' 	=> Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/',
					
			
			'ipay88_others_method_title' 		=> $view_ipay88_others_method_title,
			'ipay88_others_description' 		=> $view_ipay88_others_description,
			
			'ipay88_others_payment_types_19'	=> $view_ipay88_others_payment_types_19,
				
			'logo_others'  		=> 
			$merchant_domain.'modules/ipay88_others/assets/images/others-menu.png',
												
			'logo_pay_by_qr'	=> 
			$merchant_domain.'modules/ipay88_others/assets/images/pay-by-qr.png',
					
        ));   	

        $this->setTemplate('module:ipay88_others/views/templates/front/payment_execution.tpl');
   
    }
}

 
